## org.ascape.model.space
Class BFSWithinIterator2DSmallWorld

    java.lang.Object
      org.ascape.model.space.BFSWithinIterator
          org.ascape.model.space.BFSWithinIterator2DSmallWorld

All Implemented Interfaces:
  java.util.Iterator

    public class BFSWithinIterator2DSmallWorld

extends BFSWithinIterator

User: milesparker Date: Aug 11, 2005 Time: 4:21:00 PM To change this template use File | Settings | File Templates.

Constructor Summary
`BFSWithinIterator2DSmallWorld(Discrete space, Location origin, Conditional condition, boolean includeSelf, double distance)` Instantiates a new BFS within iterator2 D small world.

Method Summary
`protected void` `initialize()` Initialize.
`java.util.Iterator` `nextDepth()` Next depth.
`void` `visit(Node candidate)` Visit.

Methods inherited from class org.ascape.model.space.BFSWithinIterator
`getDepth, getInternalDepth, getOrigin, getSearchIterator, getSpace, getVisited, hasNext, loadNext, next, remove, setDepth, setLastDepth, setSearchIterator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BFSWithinIterator2DSmallWorld

    public BFSWithinIterator2DSmallWorld(Discrete space,
                                         Location origin,
                                         Conditional condition,
                                         boolean includeSelf,
                                         double distance)

  Instantiates a new BFS within iterator2 D small world.

  Parameters:
    `space` - the space
    `origin` - the origin
    `condition` - the condition
    `includeSelf` - the include self
    `distance` - the distance

Method Detail

### initialize

    protected void initialize()

  Description copied from class: `BFSWithinIterator`
  Initialize.

  Overrides:
    `initialize` in class `BFSWithinIterator`

### visit

    public void visit(Node candidate)

  Description copied from class: `BFSWithinIterator`
  Visit.

  Overrides:
    `visit` in class `BFSWithinIterator`
  Parameters:
    `candidate` - the candidate

### nextDepth

    public java.util.Iterator nextDepth()

  Description copied from class: `BFSWithinIterator`
  Next depth.

  Overrides:
    `nextDepth` in class `BFSWithinIterator`
  Returns:
    the iterator